# LPDENSITY

The `lpdensity` package provides Stata and R implementations of bandwidth selection, point estimation and inference procedures for local polynomial distribution and density methods.

This work was supported by the National Science Foundation through grant SES-1459931, SES-1459967, SES-1947805 and SES-1947662.

## Authors

Matias D. Cattaneo (<cattaneo@princeton.edu>)

Xinwei Ma (<x1ma@ucsd.edu>)

Michael Jansson (<mjansson@econ.berkeley.edu>)

Rajita Chandak (maintainer) (<rchandak@princeton.edu>)

## Website

https://nppackages.github.io/lpdensity/

## Manual
https://github.com/nppackages/lpdensity/tree/master/Python/lpdensity/docs/build/latex/lpdensity.pdf

## Installation
To install/update use pip
```
pip install lpdensity
```

# Usage
```
from lpdensity import lpdensity, lpbwdensity
```
## Dependencies
- numpy
- pandas
- math
- scipy
- sympy
- plotnine

## References

For overviews and introductions, see [lpdensity website](https://nppackages.github.io/lpdensity/)

### Software and Implementation

- Cattaneo, Jansson and Ma (2022): [lpdensity: Local Polynomial Density Estimation and Inference](https://nppackages.github.io/references/Cattaneo-Jansson-Ma_2022_JSS.pdf).<br>
_Journal of Statistical Software_ 101(2): 1-25.

### Technical and Methodological

- Cattaneo, M. D., M. Jansson, and X. Ma (2020). [Simple Local Polynomial Density Estimators](https://nppackages.github.io/references/Cattaneo-Jansson-Ma_2020_JASA.pdf).<br>
_Journal of the American Statistical Association_, 115(531): 1449-1455.<br>
[Supplemental appendix](https://nppackages.github.io/references/Cattaneo-Jansson-Ma_2020_JASA--Supplement.pdf).

- Cattaneo, M. D., M. Jansson, and X. Ma (2023). [Local Regression Distribution Estimators](https://nppackages.github.io/references/Cattaneo-Jansson-Ma_2023_JoE.pdf). <br>
_Journal of Econometrics_, forthcoming.<br>
[Supplemental Appendix](https://nppackages.github.io/references/Cattaneo-Jansson-Ma_2022_JoE--Supplement.pdf).

- Calonico, S., M. D. Cattaneo, and M. H. Farrell (2018): [On the Effect of Bias Estimation on Coverage Accuracy in Nonparametric Inference](https://nppackages.github.io/references/Calonico-Cattaneo-Farrell_2018_JASA.pdf).<br>
_Journal of the American Statistical Association_ 113(522): 767-779.

- Calonico, S., M. D. Cattaneo, and M. H. Farrell (2022): [Coverage Error Optimal Confidence Intervals for Local Polynomial Regression](https://cattaneo.princeton.edu/papers/Calonico-Cattaneo-Farrell_2022_Bernoulli.pdf).<br>
_Bernoulli_ 28(4): 2998-3022.


- Cattaneo, M. D., M. Jansson, and X. Ma (2022). [lpdensity: Local Polynomial Density Estimation and Inference](https://nppackages.github.io/references/Cattaneo-Jansson-Ma_2022_JSS.pdf). <br>
_Journal of Statistical Software_, 101(2), 1–25.


<br><br>
